%define upstream_name    App-a2p
%define upstream_version 1.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Awk to Perl translator
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   a2p = %{version}-%{release}

%description
_A2p_ takes an awk script specified on the command line (or from standard
input) and produces a comparable _perl_ script on the standard output.

OPTIONS
    Options include:

    * *-D<number>*

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/a2p
%{_mandir}/man1/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.13.0-3.mga10
+ Revision: 2195995
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.13.0-2.mga9
+ Revision: 1795235
- Mageia 9 Mass Rebuild

* Fri Jun 26 2020 tv <tv> 1.13.0-1.mga8
+ Revision: 1599317
- update to 1.013

* Mon Feb 17 2020 umeabot <umeabot> 1.12.0-2.mga8
+ Revision: 1537523
- Mageia 8 Mass Rebuild

* Sun Nov 03 2019 tv <tv> 1.12.0-1.mga8
+ Revision: 1457431
- update to 1.012

* Tue Apr 09 2019 tv <tv> 1.11.0-1.mga7
+ Revision: 1387349
- update to 1.011

* Thu Nov 29 2018 shlomif <shlomif> 1.10.0-1.mga7
+ Revision: 1336766
- cpan2dist


* Thu Nov 29 2018 cpan2dist 1.010-1mga
- initial mageia release, generated with cpan2dist
